package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 帖子话题对象 tb_article_tag
 * 
 * @author ruoyi
 * @date 2023-11-09
 */
public class ArticleTag extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 话题编号 */
    @Excel(name = "话题编号")
    private Long tagId;

    /** 话题名 */
    @Excel(name = "话题名")
    private String tagName;

    /** 热度 */
    @Excel(name = "热度")
    private Long hot;

    /** 删除标志 */
    private String delFlag;

    public void setTagId(Long tagId) 
    {
        this.tagId = tagId;
    }

    public Long getTagId() 
    {
        return tagId;
    }
    public void setTagName(String tagName) 
    {
        this.tagName = tagName;
    }

    public String getTagName() 
    {
        return tagName;
    }
    public void setHot(Long hot) 
    {
        this.hot = hot;
    }

    public Long getHot() 
    {
        return hot;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("tagId", getTagId())
            .append("tagName", getTagName())
            .append("hot", getHot())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
